%define name	   eroaster
%define version	   2.1.0
%define release    6mdk

Name:			%{name}
Summary:		The ECLIPT Roaster is a graphical frontend to cdrecord and mkisofs
Version:		%{version}
Release:		%{release}
License:		GPL
Group:			Archiving/Cd burning
Source:			http://sourceforge.net/projects/eroaster/%{name}-%{version}.tar.bz2
Packager:		Daouda Lo <daouda@mandrakesoft.com>
URL:			http://sourceforge.net/projects/eroaster/
BuildRoot:		%{_tmppath}/%{name}-buildroot
Requires:		python >= 1.5.0, pygtk >= 0.6.6, pygnome >= 1.0.53, cdrecord >= 1.9, mkisofs >= 1.9, cdrecord-cdda2wav >= 1.9
BuildRequires:  pygnome, cdrecord, mkisofs,  cdrecord-cdda2wav
BuildArch:		noarch

%description
A graphical front end to cdrecord and mkisofs.
- Writes data and audio cd's on the fly
- read data and audio cd's
- drag and drop support
- nice user interface
- auto selection of files to fill cd
- auto conversion of mp3 files to wav files

%prep
rm -rf $RPM_BUILD_DIR/%{name}-%{version}
rm -rf $RPM_BUILD_ROOT

%setup -n %{name}-%{version} -q
#%patch -p1

%build
autoconf
export CXXFLAGS="${CXXFLAGS:-%optflags} -fno-exceptions -fno-rtti";

%configure --prefix=%{_prefix} --with-install-root=$RPM_BUILD_ROOT --enable-qt2 --with-qt-dir=/usr/lib/qt2
make

%install
rm -rf $RPM_BUILD_ROOT
make prefix=$RPM_BUILD_ROOT%{_prefix} sysconfdir=$RPM_BUILD_ROOT%{_sysconfdir} install


##menus created
mkdir -p $RPM_BUILD_ROOT%{_menudir}

cat <<EOF >$RPM_BUILD_ROOT%{_menudir}/eroaster
?package(eroaster): needs=X11 \
section="Applications/Archiving/Cd burning" \
title="Eroaster" \
longtitle="GUI CD Burner"\
command="/usr/bin/runeroaster" \
icon="cd_burning_section.png"
EOF

mkdir -p $RPM_BUILD_ROOT%{_bindir}
cat <<EOF >$RPM_BUILD_ROOT%{_bindir}/runeroaster
export PYTHONPATH=%{_libdir}/eroaster;%{_bindir}/eroaster
EOF

chmod 0755 $RPM_BUILD_ROOT%{_bindir}/runeroaster

%post
%{update_menus}

%postun
%{clean_menus}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc doc/*
%{_sysconfdir}/CORBA/servers/eroaster.gnorba
%{_bindir}/*
%{_libdir}/%{name}/*
%{_datadir}/eroaster/pixmaps/*
%_menudir/eroaster
%{_datadir}/pixmaps/*.xpm
%{_datadir}/applets/Utility/*.desktop

%changelog
* Wed Jan 22 2003 Daouda LO <daouda@mandrakesoft.com> 2.1.0-6mdk
- code update (2.1.0-0.6)
- corrected URL

* Thu Sep  5 2002 Daouda LO <daouda@mandrakesoft.com> 2.1.0-5mdk
- rebuild (noarch)


* Tue Aug 27 2002 David BAUDENS <baudens@mandrakesoft.com> 2.1.0-4mdk
- Fix icon (menu)

* Mon Jul 29 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.0-3mdk
- Remove NO_XALF from menu entry

* Mon Jun  3 2002 Daouda LO <daouda@mandrakesoft.com> 2.1.0-2mdk
- no applet support (pygnome-applet doesn't build with gnome2)

* Fri Apr 12 2002 Daouda LO <daouda@mandrakesoft.com> 2.1.0-1mdk
- 2.1.0 
- bug fixes : thanx to Tim, Charles ...

* Sat Feb 16 2002 Daouda LO <daouda@mandrakesoft.com> 2.0.12-2mdk
- Fix detect device problems:
  "If we simply read the first line from the pipe, it is highly
  likely that it is empty. Seems like python is not waiting
  until the command finished executing. Make sure we do get 
  the output line we want."
- change URL

* Wed Jan  9 2002 Daouda LO <daouda@mandrakesoft.com> 2.0.12-1mdk
- 2.0.12
  o proper png icons
  o rpmlint no error
  o clean up 
 
* Wed Jan 09 2002 David BAUDENS <baudens@mandrakesoft.com> 2.0.11-2mdk
- Fix menu entry using png icon

* Thu Nov 29 2001 Daouda LO <daouda@mandrakesoft.com> 2.0.11-1mdk
- release 2.0.11
	o added Ogg Vorbis audio file support (you need ogg123 and ogginfo)
	o Drag & Drop bug fixed
	o CDDB support added
	o configuration files are in ~/.eroaster/ directory now

* Fri Aug 10 2001 Daouda LO <daouda@mandrakesoft.com> 2.0.10-1mdk
- release 2.0.10
- s/Copyright/License
- update URL

* Fri May 11 2001  Daouda Lo <daouda@mandrakesoft.com> 2.0.9-2mdk
- fix RPM_BUILD_ROOT typo

* Fri May 11 2001  Daouda Lo <daouda@mandrakesoft.com> 2.0.9-1mdk
- 2.0.9

* Wed Apr 11 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0-1.8.4mdk
- Correct GNOME menu entry

* Mon Apr  9 2001  Daouda Lo <daouda@mandrakesoft.com> 2.0-1.8.3mdk
- add missing file .

* Fri Apr  6 2001  Daouda Lo <daouda@mandrakesoft.com> 2.0-1.8.2mdk
- fix settings file path.
- eroaster reading iso bug fixed .

* Tue Feb 27 2001  Daouda Lo <daouda@mandrakesoft.com> 2.0-1.8.1mdk
- release 
- fix URL 

* Thu Jan 25 2001 Stew Benedict <sbenedict@mandrakesoft.com> 2.0-1.7z.4mdk
- fixed configure.in for python 2.0
- added trailing /* to %{_menudir}

* Mon Oct  2 2000 Frederic Lepied <flepied@mandrakesoft.com> 2.0-1.7z.3mdk
- added build requires on pygnome, xmms, cdrecord, mkisofs, sox and mpg123.

* Mon Sep 25 2000 Francis Galiegue <fg@mandrakesoft.com> 2.0-0.7z.2mdk

- Removed unneeded %%defines
- Fixed problem with eroaster not running
- Requires: pygnome

* Thu Sep  7 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 2.0-0.7z.1mdk
- fixed %post and %postun : chris sucks bigtime!!
- retried the upload, i suck, ok..

* Wed Sep 06 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.0-0.7mdk
- Package for Mandrake per Warly's request. New package

